# Package org.gradle.api.reporting

Classes for reporting.

See: Description

- Interface Summary
  Interface | Description
  --- | ---
  Report | A file based report to be created.
  ReportContainer<T extends Report> | A container of potential reports.
  Reporting<T extends ReportContainer> | An object that provides reporting options
  SingleFileReport | A report that is a single file.

- Class Summary
  Class | Description
  --- | ---
  ReportingExtension | Adds base configuration for reporting tasks.

- Enum Summary
  Enum | Description
  --- | ---
  Report.OutputType | The type of output the report produces

- Exception Summary
  Exception | Description
  --- | ---
  ReportContainer.ImmutableViolationException | The exception thrown when any of this container's mutation methods are called.

## Package org.gradle.api.reporting Description

Classes for reporting.